#ifndef DIYAC_IDLE_H
#define DIYAC_IDLE_H

#include "base.h"

#define DIYA_SIGNAL_IDLE_NOTIF_IDLE "idle"
#define DIYA_SIGNAL_IDLE_NOTIF_RESUME "resume"

#define DIYA_TYPE_IDLE_NOTIFICATION (diya_idle_notification_get_type ())
G_DECLARE_FINAL_TYPE (DiyaIdleNotification, diya_idle_notification, DIYA, IDLE_NOTIFICATION, DiyaShellObject)

USE_CLASS(DiyaShell);

void diya_idle_manager_register(gpointer mngr, DiyaShell *shell);
DiyaIdleNotification* diya_shell_get_idle_notification(DiyaShell* shell, guint timeout_ms);
guint diya_shell_notification_get_timeout(DiyaIdleNotification* self);
#endif /* DIYAC_IDLE_H */