#ifndef DIYA_SHELL_WAYLAND_H
#define DIYA_SHELL_WAYLAND_H

#include "base.h"

USE_CLASS(DiyaShell);

#define DIYA_TYPE_WAYLAND (diya_wayland_get_type ())
G_DECLARE_FINAL_TYPE (DiyaWayland, diya_wayland, DIYA, WAYLAND, DiyaShellObject)

struct wl_surface* diya_wayland_create_surface(DiyaWayland * self);
struct wl_output* diya_wayland_get_output(DiyaWayland * self, int index);
struct wl_shm_pool * diya_wayland_create_shm_pool(DiyaWayland * self, int fd, guint size);
struct wl_seat* diya_wayland_get_seat(DiyaWayland* self);
struct zwp_virtual_keyboard_manager_v1* diya_wayland_get_virtual_keyboard_mngr(DiyaWayland* self);
struct ext_idle_notifier_v1* diya_wayland_get_idle_mngr(DiyaWayland* self);
DiyaWayland* diya_wayland_new(DiyaShell *shell);
#endif